commit:     9e0d43daf91ca755604c71e20c2f47937aa24bd2
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 13 18:41:26 2021 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Jun 13 18:45:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e0d43da

app-emulation/containerd: 1.5.2 bump

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 app-emulation/containerd/Manifest                |  2 +
 app-emulation/containerd/containerd-1.5.2.ebuild | 81 ++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/app-emulation/containerd/Manifest 
b/app-emulation/containerd/Manifest
index 463c79f6453..eaa22f899da 100644
--- a/app-emulation/containerd/Manifest
+++ b/app-emulation/containerd/Manifest
@@ -2,3 +2,5 @@ DIST containerd-1.3.7.tar.gz 5709989 BLAKE2B 
0cfa6f5bcd41c1591e64f41dbba2720bed5
 DIST containerd-1.3.9.tar.gz 5717856 BLAKE2B 
f6b9741f7d793a18b44813453d185cb9e8f4742fbb2987521445104fb44bca913571d6b4f6386ea048084d6565d41759c6ec95ac4591bd9b2101b40bbaafd8fa
 SHA512 
79e0baab72169f84b8661b77f54d0a906a380cd00cbabd00bfec6c10d71a13fc4dd81c7b5e1c3ce184f91d3f68d6df9b735f13e6e04d494792bf7374058d43aa
 DIST containerd-1.4.4.tar.gz 6174959 BLAKE2B 
62d0a6bafbdb8da2b7d0f8b9371b566a971eda87b993e54af7a1d40a3d8ee3876bb38cb18c876f6911f91a531235bb448446acc690854b833bd51657df294d6e
 SHA512 
f09930d19f53381d86cf522954458ecc949f15a0c6a49f990bdb61fe19afee075356338998ed84bd756f16ba85211f55f9c638de8b7083d71e24d8e87335e070
 DIST containerd-1.4.6.tar.gz 6266709 BLAKE2B 
3187ff003da7c1d6023ff9516c7aa510de49ad1188750b9cb782feae638ef1c4c74834f62344324eec8983feb6e881013b56ceb112e91ca0995878b08f20d69f
 SHA512 
4693e67d17a21fe9413add39173981f484c461c7e228b05a8a886052bc445617116808db6321a134bcfdf853f382a6f228e979669588a375b434d1425853b143
+DIST containerd-1.5.2.tar.gz 7667262 BLAKE2B 
52f61a7d5a423e1e0fbada6084dacf1df49e3e16af034bd35914b35bed4d27f334f0b07e87681d1353eb7da05a301625326adc841be7a2900aea0640a0441f26
 SHA512 
e4f03e77f2d8f823680629efc8cf41db70a656edf46807dca69652e6500dc51b0ceb0fd174768a8a5069c8af3e78853c20d214d135e36d4f3559399894e2cdf1
+DIST containerd-man-1.5.2.tar.xz 7424 BLAKE2B 
647e61a88c81ebb3087026adb0201b4a71c4e0fe763a37b8d146b3964d9d59aa47ea96d5c5069b7637251fe1fbe5ecc63d72a802673b526b5496d02b2ff5842c
 SHA512 
32ac9e9a91bbea24bbdb63220efc6082bb5dd1db956b558942f5b3b9aa758b9c1c5e8a5eb5e3d950be6de25bc03b20d420a566ecdaa859a8e72e3e2564a9ab84

diff --git a/app-emulation/containerd/containerd-1.5.2.ebuild 
b/app-emulation/containerd/containerd-1.5.2.ebuild
new file mode 100644
index 00000000000..7f7c816464f
--- /dev/null
+++ b/app-emulation/containerd/containerd-1.5.2.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit go-module systemd toolchain-funcs
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.io/";
+SRC_URI="https://github.com/containerd/containerd/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       https://dev.gentoo.org/~williamh/dist/${PN}-man-${PV}.tar.xz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="apparmor btrfs device-mapper +cri hardened +seccomp selinux test"
+
+DEPEND="
+       btrfs? ( sys-fs/btrfs-progs )
+       seccomp? ( sys-libs/libseccomp )
+"
+
+RDEPEND="
+       ${DEPEND}
+       ~app-emulation/runc-1.0.0_rc95
+"
+
+BDEPEND="
+       dev-go/go-md2man
+       virtual/pkgconfig
+"
+
+# tests require root or docker
+# upstream does not recommend stripping binary
+RESTRICT+=" strip test"
+
+src_prepare() {
+       default
+       mv ../man . || die
+       sed -i \
+               -e "s/-s -w//" \
+               Makefile || die
+       sed -i \
+               -e "s:/usr/local:/usr:" \
+               containerd.service || die
+}
+
+src_compile() {
+       local options=(
+               $(usev apparmor)
+               $(usex btrfs "" "no_btrfs")
+               $(usex cri "" "no_cri")
+               $(usex device-mapper "" "no_devmapper")
+               $(usev seccomp)
+               $(usev selinux)
+       )
+
+       myemakeargs=(
+               BUILDTAGS="${options[*]}"
+               GO_BUILD_FLAGS="-mod vendor"
+               LDFLAGS="$(usex hardened '-extldflags -fno-PIC' '')"
+               REVISION=36cc874494a56a253cd181a1a685b44b58a2e34a
+               VERSION=v${PV}
+       )
+
+       emake "${myemakeargs[@]}" all
+}
+
+src_install() {
+       dobin bin/*
+       doman man/*
+       newinitd "${FILESDIR}"/${PN}.initd "${PN}"
+       systemd_dounit containerd.service
+       keepdir /var/lib/containerd
+
+       # we already installed manpages, remove markdown source
+       # before installing docs directory
+       rm -r docs/man || die
+
+       local DOCS=( ADOPTERS.md README.md RELEASES.md ROADMAP.md SCOPE.md 
docs/. )
+       einstalldocs
+}

Reply via email to